#!/bin/bash
#
#   This scrip will be run right AFTER the usual install tasks are performed
#   i.e. right AFTER all the new files are copied but before the services are
#   re-launched or the sixaola rebooted.
#

echo "Running post-install script"

cp /opt/bin/odf_SL_plugin /opt/bin/odf_darien_client
cp /opt/bin/odf_SL_plugin /opt/bin/odf_CAPS

chmod +x /opt/bin/odf_*

CFILE=/opt/settings/seiscomp/ODF_dataProc.conf
TFILE=/tmp/dataproc.conf

echo "Patching $CFILE"

cat $CFILE | awk '
{
	if (index($0, "PortCaps") > 0)
	{
		split($0, arr, ":")
		print arr[1], ": \"18003\","
	}
	else
	{
		print
	}
}' > $TFILE

mv $TFILE $CFILE

/opt/bin/sixaola-settings ReadConfigSettings
cp /opt/settings/sc-xml/SC-Configuration.xml /opt/settings/sc-xml/SC-Modifications.xml
/opt/bin/sixaola-settings ModifyConfigSettings

echo "All done"
echo


